call spGenera_Precio_Promedio_Compra('2011','05',1);
call spGenera_Precio_Promedio_Compra('2011','06',1);
call spGenera_Precio_Promedio_Compra('2011','07',1);
call spGenera_Precio_Promedio_Compra('2011','08',1);
call spGenera_Precio_Promedio_Compra('2011','09',1);
call spGenera_Precio_Promedio_Compra('2011','10',1);
call spGenera_Precio_Promedio_Compra('2011','11',1);
call spGenera_Precio_Promedio_Compra('2011','12',1);
call spGenera_Precio_Promedio_Compra('2012','01',1);
call spGenera_Precio_Promedio_Compra('2012','02',1);
call spGenera_Precio_Promedio_Compra('2012','03',1);
call spGenera_Precio_Promedio_Compra('2012','04',1);
call spGenera_Precio_Promedio_Compra('2012','05',1);
call spGenera_Precio_Promedio_Compra('2012','06',1);
call spGenera_Precio_Promedio_Compra('2012','07',1);
call spGenera_Precio_Promedio_Compra('2012','08',1);
call spGenera_Precio_Promedio_Compra('2012','09',1);
call spGenera_Precio_Promedio_Compra('2012','10',1);
call spGenera_Precio_Promedio_Compra('2012','11',1);
call spGenera_Precio_Promedio_Compra('2012','12',1);
call spGenera_Precio_Promedio_Compra('2013','01',1);
call spGenera_Precio_Promedio_Compra('2013','02',1);
call spGenera_Precio_Promedio_Compra('2013','03',1);
call spGenera_Precio_Promedio_Compra('2013','04',1);
call spGenera_Precio_Promedio_Compra('2013','05',1);

DROP PROCEDURE IF EXISTS spGenera_Precio_Promedio_Compra;
CREATE PROCEDURE spGenera_Pre